@mixin box-bottom {
  width: 268px;
  position: absolute;
  bottom: 30px;
  right: 50%;
  transform: translateX(50%);
  display: flex;
  flex-direction: column;
  padding: 0 30px;
  background-color: $color-white;
}
@mixin box-bottom-h2 {
  margin-top: 30px;
  font-size: 21px;
  font-weight: $font-weight-700;
  text-transform: uppercase;
  margin-bottom: 25px;
}
@mixin bottom-find {
  font-weight: $font-weight-700;
  font-size: 13px;
  text-transform: uppercase;
  letter-spacing: 1px;
  line-height: 30px;
  margin-left: 20px;
}
@mixin bottom-btn {
  background-color: $color-brand1;
  border: 0;
  padding: 4px 15px;
  margin-bottom: 30px;
  cursor: pointer;
}
@mixin bottom {
  .box-bottom-text {
    @include box-bottom;
    @media all and (max-width: $m) {
      width: 100%;
    }
    &--h2 {
      @include box-bottom-h2;
    }
    .find {
      @include bottom-find;
    }

    .box-text-btn {
      display: flex;

      &--btn {
        @include bottom-btn;
      }
    }
  }
}
.arrow {
  width: 12px;
  height: 25px;
}
.container-main {
  display: flex;
  justify-content: center;
  .container-box {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 1400px;
    &--h2 {
      text-transform: uppercase;
      font-size: 95px;
      font-weight: $font-weight-700;
      margin-bottom: 71px;
      @media all and (max-width: $m) {
        font-size: 60px;
        text-align: center;
        word-break: break-all;
      }
    }
    &--p {
      font-size: 35px;
      color: $color-brand1;
      font-weight: $font-weight-regular;
      margin-top: 70px;
      font-family: $font-indie;
      @media all and (max-width: $m) {
        text-align: center;
      }
    }
    .box-container-top {
      display: flex;
      justify-content: center;
      @media all and (max-width: $m) {
        flex-direction: column;
      }
      .box-left {
        background-image: url("../../assets/img/Warstwa_4.png");
        width: 50%;
        height: 692px;
        position: relative;
        @media all and (max-width: $m) {
          width: 100%;
          margin-bottom: 30px;
          background-size: cover;
        }
          .box-left-text {
            width: 285px;
            position: absolute;
            bottom: 30px;
            left: 35px;
            display: flex;
            flex-direction: column;
            padding: 0 30px;
            background-color: $color-white;
            @media all and (max-width: $l) {
              left: 50%;
              transform: translateX(-50%);
            }
            @media all and (max-width: $m) {
              width: 100%;
            }
            &--p {
              margin-top: 30px;
              font-size: 25px;
              color: #1a1a1a;
              font-weight: $font-weight-regular;
              font-family: $font-indie;
            }
            &--h2 {
              font-size: 21px;
              font-weight: $font-weight-700;
              text-transform: uppercase;
              margin-bottom: 35px;
            }
            &--h3 {
              line-height: 18px;
              font-size: 13px;
              letter-spacing: 1px;
              font-weight: $font-weight-thin;
              margin-bottom: 40px;
            }
            .find {
              font-weight: $font-weight-700;
              font-size: 13px;
              text-transform: uppercase;
              letter-spacing: 1px;
              line-height: 30px;
              margin-left: 20px;
            }
            .box-text-btn {
              display: flex;
              &--btn {
                background-color: $color-brand1;
                border: 0;
                padding: 4px 15px;
                margin-bottom: 30px;
                cursor: pointer;
                &--img {
                  color: $color-white;
                }
              }
            }
        }
      }
      .box-right {
        width: 50%;
        height: 692px;
        display: flex;
        flex-direction: column;
        margin-left: 30px;
        @media all and (max-width: $m) {
          width: 100%;
          margin: 0;
          background-size: cover;
        }
        .box-right-first {
          background-image: url("../../assets/img/Grupa_4_kopia.png");
          width: 100%;
          height: 100%;
          margin-bottom: 30px;
          position: relative;
          @media all and (max-width: $m) {
            background-size: cover;
          }
        }
        .box-right-text {
          width: 285px;
          position: absolute;
          bottom: 30px;
          right: 35px;
          display: flex;
          flex-direction: column;
          padding: 0 30px;
          background-color: $color-white;
          @media all and (max-width: $l) {
            right: 50%;
            transform: translateX(50%);
          }
          @media all and (max-width: $m) {
            width: 100%;
            margin: 0;
            background-size: cover;
          }
          &--h2 {
            margin-top: 30px;
            font-size: 21px;
            font-weight: $font-weight-700;
            text-transform: uppercase;
            margin-bottom: 35px;
          }
          &--h3{
            line-height: 18px;
            font-size: 13px;
            letter-spacing: 1px;
            font-weight: $font-weight-thin;
            margin-bottom: 20px;
          }
          .find {
            font-weight: $font-weight-700;
            font-size: 13px;
            text-transform: uppercase;
            letter-spacing: 1px;
            line-height: 30px;
            margin-left: 20px;
          }
          .box-text-btn {
            display: flex;
            &--btn {
              background-color: $color-brand1;
              border: 0;
              padding: 4px 15px;
              margin-bottom: 30px;
              cursor: pointer;
              &--img {
                color: $color-white;
              }
            }
          }
        }
        .box-right-second {
          background-image: url("../../assets/img/Warstwa_7.png");
          width: 100%;
          height: 100%;
          position: relative;
          @media all and (max-width: $m) {
            background-size: cover;
          }
        }
      }
    }
    .box-container-bottom {
      display: flex;
      flex-direction: row;
      width: 100%;
      margin-top: 30px;
      justify-content: space-between;
      @media all and (max-width: $l) {
        flex-wrap: wrap;
        justify-content: space-between;
      }
      .box-bottom {
        height: 460px;
        width: 25%;
        @media all and (max-width: $l) {
          width: calc(50% - 15px);
        }
        @media all and (max-width: $m) {
          width: 100%;
        }

      }
      .box-1 {
        background-image: url("../../assets/img/Warstwa_8.png");
        position: relative;
        @include bottom;
        @media all and (max-width: $l) {
          background-size: cover;
        }
        @media all and (max-width: $m) {
          margin-bottom: 30px;
        }
        }
      }
      .box-2 {
        background-image: url("../../assets/img/OIP.png");
        margin: 0 30px;
        position: relative;
        @media all and (max-width: $l) {
          margin: 0;
          background-size: cover;
        }
        @include bottom;
      }
      .box-3 {
        background-image: url("../../assets/img/Warstwa_9.png");
        margin-right: 30px;
        position: relative;
        @media all and (max-width: $l) {
          margin: 0;
          margin-top: 30px;
          background-size: cover;
        }
        @include bottom;
      }
      .box-4 {
        background-image: url("../../assets/img/Warstwa_10.png");
        position: relative;
        @media all and (max-width: $l) {
          margin-top: 30px;
        }
        @media all and (max-width: $m) {
          background-size: cover;
        }
        .box-bottom-text {
          width: 265px;
          position: absolute;
          top: 50%;
          right: 50%;
          transform: translate(50%, -50%);
          display: flex;
          flex-direction: column;
          padding: 0 30px;
          background-color: $color-brand1;

          &--h2 {
            margin-top: 49px;
            font-size: 21px;
            font-weight: $font-weight-700;
            text-transform: uppercase;
            margin-bottom: 91px;
          }
          &--h3{
            line-height: 18px;
            font-size: 13px;
            letter-spacing: 1px;
            font-weight: $font-weight-thin;
            margin-bottom: 109px;
          }
          .find {
            font-weight: $font-weight-700;
            font-size: 13px;
            text-transform: uppercase;
            letter-spacing: 1px;
            line-height: 30px;
            margin-left: 20px;
          }
          .box-text-btn {
            display: flex;
            &--btn {
              background-color: $color-black;
              border: 0;
              padding: 4px 15px;
              margin-bottom: 30px;
              cursor: pointer;
              &--img {
                color: $color-white;
                @media all and (max-width: $l) {
                  background-size: cover;
                }
              }
            }
          }
        }
      }
    }
  }


